Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364645 - Review Request: nodejs-coa - Command-Option-Argument: Another parser for command line options
Summary: Review Request: nodejs-coa - Command-Option-Argument: Another parser for comm...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews Node-RED 1364646
TreeView+ depends on / blocked
 
Reported: 2016-08-06 08:10 UTC by Jared Smith
Modified: 2017-09-22 00:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 00:25:04 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2016-08-06 08:10:16 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-coa/nodejs-coa.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-coa/nodejs-coa-1.0.1-1.fc26.src.rpm
Description: Command-Option-Argument: Another parser for command line options
Fedora Account System Username: jsmith

Comment 1 Jeroen van Meeuwen 2016-08-07 10:43:13 UTC
nodejs-coa.noarch: E: wrong-script-interpreter /usr/lib/node_modules/coa/lib/completion.sh /usr/bin/env bash
nodejs-coa.noarch: E: non-executable-script /usr/lib/node_modules/coa/lib/completion.sh 644 /usr/bin/env bash

nodejs-coa-1.0.1-1.fc26.noarch.rpm/usr/lib/node_modules/coa/lib/completion.sh is a cmd completion script template for command-line utilities using coa, which could be considered a non-executable artifact. There's not a lot of documentation about it's use in the sources or package itself, though.

Comment 2 Robert-André Mauchin 2017-09-20 13:45:25 UTC
Please bump to version 2.0.0.

Please address jeroen comment:

sed -i '1{\@^#!/usr/bin/env bash@d}' %{buildroot}%{nodejs_sitelib}/%{packagename}/lib/completion.sh

Comment 4 Robert-André Mauchin 2017-09-21 06:52:09 UTC
All ok, package accepted.

Comment 5 Jared Smith 2017-09-21 22:29:40 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1491'

Comment 6 Gwyn Ciesla 2017-09-21 23:06:08 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-coa

Comment 7 Jared Smith 2017-09-22 00:25:04 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.